Subject: WG last call on draft-ietf-ipr-submission-rights-00.txt

From: "Joe Zebarth" <[email-masked]>
Date: Tue, 10 Dec 2002 16:51:25 -0500

Attached are a number of comments on draft-ietf-ipr-submission-rights-00.txt
that are offered for consideration and on the understanding that their
adoption would improve the current draft.

Page 2:

Lines 6-10 - Primarily, there are some fundamental problems in the copyright
area, particularly in the grant and notice areas.  Specific comments on
subsequent sections will highlight these concerns

A concern exists with respect to the inclusion of trademark discussion in
this document as trademark rights are not generally achieved through
standards setting organization participation.  Possibly this subject matter
item should be removed. 

Lines 9-10 - contain a discussion of contributors ability to make
"representations relating to contributions".  In this regard, the IETF may
need to adopt a company/individual mix, since many times the participants
are employees of companies, and will probably not have authority to make
these representations.

Line 40 - "Trademarks:" are a very different issue from the other items in
the list and thus this subject should not be bundled with the subject of
copyright.  That is, trademark exists through commercial activity.  In a
gross over-generalization, company trademark rights are not generally
achieved through standards setting organization participation.

Page 3:

Line 18 - "grant the following rights":  Same problem as on page 2, ll.
2-10, above.  Further it is proposed that the "grant" aspect be replaced
with a "permission" aspect. 

Line 20-21 - "on behalf of the owners of any proprietary rights": how can a
participant make representations to proprietary rights, if any, belonging to
others not participating in the IETF?  Further, how would such rights be
identifiable?

Line 26-30 - "grant a perpetual, irrevocable, non-exclusive . . . .": Again,
convert "grant" aspect to a "permission" aspect.  Also, it is suggested that
the word "unlimited" be removed.  This is over-expansive because as
understood, the proposed permissions being provided to the IETF and/or ISOC
is simply for its ability to provide documents in its document generation.  

Line 26-30 - The term "all intellectual property rights" in line 29 should
be struck in that it extends beyond the copyright and author rights of this
paragraph.  A limitation should be provided as well with respect to
limitations and controls on technology exports.

Line 33 - Consideration should be given to the amplification of the words
"part of the IETF standards process" as, to the uninitiated, it is not
intuitive what this means.

Line 43-49 - Trademark clause: Consider removing clause in view of
discussion of Page 2, line 40, above.  If this material is to remain, it
should be removed from this section and discussion should be added to better
define the concepts being expressed.

Page 4:

Line 15 - The term "major contributor" is not intuitive to the uninitiated,
possibly text should be added to explain explicitly what is meant?

Line 21 - ability of contributor to make the grants, acknowledgment, and
agreements:  Again, same discussion as Page 2, lines 9-10 above.

Line 31-33 - Should consider removal of trademarks based on comments above,
see discussion to Page 3, line 43-49, page 2, line 40.  

Line 10-39 - It would appear a consistent format is not used in Sections 2.4
and 2.5, when compared to Sections 2.2 and 2.3.  Usually a header is
provided for each section.  In line 38 where reference is made to section
2.3 and 2.4, it may be helpful to add the section titles in addition to the
section number for clarity/helpfulness.

Line 43-53 - It is our understanding that a "copyright notice" is usually
required to be in the name of the copyright owner.  In the case of
contributions, it would appear that IETF and/or ISOC do not own the
copyright, but rather have permission from the copyright holder(s) based on
agreements contained in RFCs, e.g. RFC 2026.  This document should attempt
to address ownership and permission issues.

Page 5

Line 8-12 - Consideration of comments regarding Lines 43-53 on page 4 should
be broad enough to deal with the copyright issues in these lines.

Line 22-23 - See comments on copyright above, viz. Page 5, lines 8-12 and
Page 4, Lines 43-53.

Line 39 - Care should be taken to ensure the form used for "the Internet
Society" is consistent throughout the document, e.g. "the Internet Society"
and "The Internet Society".

Page 6

Line 8-18 - Note variations in text that should be consistent.  Also, the
use of "permission" is proposed instead of "grant", in line with above.

Line 27 - It is proposed that the following text "is any submission for
publication as an Internet Draft or RFC" should be replaced with "is any
submission intended by the contributor for publication as an Internet Draft
or RFC".

Line 35 -It is proposed that  "any IETF mailing list," be replaced with "any
IETF designated mailing list"

Line 46-47:  Definition is not helpful; if understood, by virtue of an
activity being an IETF activity, it is therefore an IETF Standards Process?

Page 7

Line 18-20 - It is proposed that the text "when its expiration time is
reached." should be replaced with "before the expiration."  Once it has
expired, it cannot by default be extended.

Line 31-33 - In Section 4.8 the text in the last sentence that reads as ", a
patent application for example, that would reasonably be expected to be
within his or her knowledge" should be deleted as it adds no information.

Page 7, Line 48-51; Page 8, Line 1-12 - IETF Needs :  (1) publication needs
to be restricted overall to standards-track documentation in paragraph b.
(publication also needs defining), and (2) needs statement addressing
departure of member/contributor/individual, that upon leaving the IETF, no
further limited rights/permissions are granted to the IETF on subsequent
activities.

Page 8

Line 42-43 - The words "works outside the IETF process" are confusing in
view of definition under 4.2.  The intent and purpose of this statement are
unclear.

Page 9

Line 10-14 - The insertion of the term "independent submissions" at this
point introduces an undefined term and thus muddies the definition of a
"contribution."  

Line 42-52 - - Should consider removal of trademarks based on comments
above, see discussion to Page 3, line 43-49, page 2, line 40, and page 4
Line 31-33.  

Page 10

Line 17:  The format used to identify Section three is inconsistent with the
rest of the document, possibly the title of the Section should be given for
helpfulness purposes.

Line 48-50:  - See comments on copyright above, viz. Page 5, lines 8-12 and
lines 22-23 and Page 4, Lines 43-53.

Kindest regards,

Joe Zebarth
Dept. 6L40
ATI Strategic Standards
Nortel Networks (Canada)
Phone: +1 613 765 8481
ESN:    6+395 8481
Fax:     +1 613 763 2697
ESN:    6+393 2697
http://www.nortelnetworks.com

---

From: Randy Presuhn <[email-masked]>
Date: Tue, 10 Dec 2002 14:39:42 -0800 (PST)

Hi -

> Message-ID: <[email-masked]>
> From: "Joe Zebarth" <[email-masked]>
> To: [email-masked]
> Subject:  WG last call on draft-ietf-ipr-submission-rights-00.txt 
> Date: Tue, 10 Dec 2002 16:51:25 -0500
...
> IETF designated mailing list"
...

Common practice is to close down a working group while
waiting for implementation and deployment experience.
The mailing list will typically remain active, but there is
no WG charter, chair, etc.  Frequently the list's address will
give no indication of its (former?) association with the IETF.
What is the status of such a mailing list with respect to the
"NOTE WELL"?  Does this document need to be explicit about
these lists?

 ------------------------------------------------------
 Randy Presuhn          BMC Software, Inc.  SJC-1.3141
 [email-masked]  2141 North First Street
 Tel: +1 408 546-1006   San José, California 95131  USA
 ------------------------------------------------------
 My opinions and BMC's are independent variables.
 ------------------------------------------------------
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "Contreras, Jorge" <[email-masked]>
Date: Tue, 10 Dec 2002 17:54:39 -0500

Below I have responded to some of Joe's comments and concerns.

-----Original Message-----
From: Joe Zebarth [mailto:[email-masked]]
Sent: Tuesday, December 10, 2002 4:51 PM
To: [email-masked]
Subject: WG last call on draft-ietf-ipr-submission-rights-00.txt 

[Contreras, Jorge] page 1? (For some reason, the numbering of my draft seems to be one digit out of sync with Joe's).

A concern exists with respect to the inclusion of trademark discussion in this document as trademark rights are not generally achieved through standards setting organization participation.  Possibly this subject matter item should be removed. 
[Contreras, Jorge]  The trademark provisions of this document are very limited and intended only to ensure that IETF working groups are not challenged on trademark grounds if they discuss standards in which third parties have asserted trademark protection.

Lines 9-10 - contain a discussion of contributors ability to make "representations relating to contributions".  In this regard, the IETF may need to adopt a company/individual mix, since many times the participants are employees of companies, and will probably not have authority to make these representations.
[Contreras, Jorge] Due to the IETF's fundamental policy of seeking individual (rather than corporate) participation, any representations made by IETF participants must be made by the individual participants, rather than by their employers.  It is up to the individuals and their employers to ensure that the individuals do not violate internal company policies by virtue of their participation in IETF.

Line 40 - "Trademarks:" are a very different issue from the other items in the list and thus this subject should not be bundled with the subject of copyright.  That is, trademark exists through commercial activity.  In a gross over-generalization, company trademark rights are not generally achieved through standards setting organization participation.
[Contreras, Jorge] This statement is correct, but see discussion above.  The trademark rights grant is very limited and specific to IETF activity. 

Page 3: [Contreras, Jorge] page 2? 

Line 18 - "grant the following rights":  Same problem as on page 2, ll. 2-10, above.  Further it is proposed that the "grant" aspect be replaced with a "permission" aspect. 
[Contreras, Jorge] The "grant" terminology is customary for licenses of intellectual property.  I am not sure what alternative language is being suggested.

Line 20-21 - "on behalf of the owners of any proprietary rights": how can a participant make representations to proprietary rights, if any, belonging to others not participating in the IETF?  Further, how would such rights be identifiable?
[Contreras, Jorge] Again, the IETF must be able to rely on a clear statement from its participants to the effect that all necessary rights are granted.  It is the participant's problem to sort out how these rights are conveyed. 

Line 26-30 - "grant a perpetual, irrevocable, non-exclusive . . . .": Again, convert "grant" aspect to a "permission" aspect.  
[Contreras, Jorge] I would keep the "grant" language as discussed above.

 Also, it is suggested that the word "unlimited" be removed.  This is over-expansive because as understood, the proposed permissions being provided to the IETF and/or ISOC is simply for its ability to provide documents in its document generation.  
[Contreras, Jorge] It may be appropriate to remove "unlimited".  Admittedly, there are limitations to the license grant. 

Line 26-30 - The term "all intellectual property rights" in line 29 should be struck in that it extends beyond the copyright and author rights of this paragraph.  
[Contreras, Jorge] It is important that IETF be granted rights under ALL relevant intellectual property, not just copyright.  For example, rights in data, databases, moral rights and other rights should not be ignored, and there seems to be no reason why the grantor/participant would want to hold these rights back from IETF.

 A limitation should be provided as well with respect to limitations and controls on technology exports.
[Contreras, Jorge] The participant is responsible for complying with technology export and control regulations.  He/she discloses sensitive technology in the IETF process as his/her peril.

Line 33 - Consideration should be given to the amplification of the words "part of the IETF standards process" as, to the uninitiated, it is not intuitive what this means.
[Contreras, Jorge] This term is defined in Section 4.2. 

Line 43-49 - Trademark clause: Consider removing clause in view of discussion of Page 2, line 40, above.  If this material is to remain, it should be removed from this section and discussion should be added to better define the concepts being expressed.
[Contreras, Jorge] see above 

Page 4: [Contreras, Jorge] page 3? 

Line 15 - The term "major contributor" is not intuitive to the uninitiated, possibly text should be added to explain explicitly what is meant?
[Contreras, Jorge] Good suggestion.  I would propose: "major contributor means any person who has materially or substantially contributed to the contribution."  While this is not mathematically precise, it does provide an extra level of explanation that was otherwise lacking.

Line 21 - ability of contributor to make the grants, acknowledgment, and agreements:  Again, same discussion as Page 2, lines 9-10 above.
[Contreras, Jorge] see above 

Line 31-33 - Should consider removal of trademarks based on comments above, see discussion to Page 3, line 43-49, page 2, line 40.  
[Contreras, Jorge] see above 

Line 43-53 - It is our understanding that a "copyright notice" is usually required to be in the name of the copyright owner.  In the case of contributions, it would appear that IETF and/or ISOC do not own the copyright, but rather have permission from the copyright holder(s) based on agreements contained in RFCs, e.g. RFC 2026.  This document should attempt to address ownership and permission issues.
[Contreras, Jorge] You are correct.  This concept is explained in Section 3, first paragraph. 

Page 6 [Contreras, Jorge] page 5 

Line 8-18 - Note variations in text that should be consistent.  Also, the use of "permission" is proposed instead of "grant", in line with above.
[Contreras, Jorge] see above 

Line 27 - It is proposed that the following text "is any submission for publication as an Internet Draft or RFC" should be replaced with "is any submission intended by the contributor for publication as an Internet Draft or RFC".
[Contreras, Jorge] This seems clarifying. 

Line 35 -It is proposed that  "any IETF mailing list," be replaced with "any IETF designated mailing list" 
[Contreras, Jorge] The text comes from the "Note Well" statement which was heavily "engineered" and debated. 

Line 46-47:  Definition is not helpful; if understood, by virtue of an activity being an IETF activity, it is therefore an IETF Standards Process?
[Contreras, Jorge] The definition actually incorporates all the activities referred to in 4.1 and is thus fairly comprehensive.  Do you have a suggestion for further improvement? 

Page 7 [Contreras, Jorge] page 6 

Line 18-20 - It is proposed that the text "when its expiration time is reached." should be replaced with "before the expiration."  Once it has expired, it cannot by default be extended.
[Contreras, Jorge] Seems like a reasonable change. 

Line 31-33 - In Section 4.8 the text in the last sentence that reads as ", a patent application for example, that would reasonably be expected to be within his or her knowledge" should be deleted as it adds no information.
[Contreras, Jorge] This is actually an important clarification.  Patent applications are probably the most important type of item addressed by the section. 

Page 7, Line 48-51; Page 8, Line 1-12 - IETF Needs :  (1) publication needs to be restricted overall to standards-track documentation in paragraph b. (publication also needs defining), 
[Contreras, Jorge] This is clear from Section 2.3.a, the actual grant of rights.

 and (2) needs statement addressing departure of member/contributor/individual, that upon leaving the IETF, no further limited rights/permissions are granted to the IETF on subsequent activities.
[Contreras, Jorge] There is no explicit or implicit requirement that activities outside the scope of the IETF standards process are covered by this document. 

Page 8 [Contreras, Jorge] page 7 

Line 42-43 - The words "works outside the IETF process" are confusing in view of definition under 4.2.  The intent and purpose of this statement are unclear.
[Contreras, Jorge] For consistency, the term "IETF process" should probably be changed to "IETF Standards Process" 

Page 9 [Contreras, Jorge] page 8 

Line 10-14 - The insertion of the term "independent submissions" at this point introduces an undefined term and thus muddies the definition of a "contribution."  
[Contreras, Jorge] A better definition would probably be helpful.  Suggestions? 

Line 42-52 - - Should consider removal of trademarks based on comments above, see discussion to Page 3, line 43-49, page 2, line 40, and page 4 Line 31-33.  
[Contreras, Jorge] see above